<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\Import\ImportBatchId;
use DomainException;

use function sprintf;

final class ImportBatchNotFoundException extends DomainException
{
    public static function withId(ImportBatchId $id): self
    {
        return new self(sprintf(
            'Le lot d\'import "%s" n\'existe pas.',
            $id,
        ));
    }
}
